#ifndef __IMGVIEW__
#define __IMGVIEW__

#define BUF_FNAME		BUF_128
#define MAX_BUFCNT		BUF_8
#define MAX_FILECNT		BUF_8192

#define CFG_FILE		"imgview.ini"

typedef struct _zipinfo_t_
{
	char zippath		[BUF_128];
	unzFile zipfd;

	int filecnt;
	char * filenames	[MAX_FILECNT];
	int filesizes		[MAX_FILECNT];

	int bufcnt;
	int bufsize;
	char * imgbufs		[MAX_BUFCNT];
} zipinfo_t;

typedef struct _dirinfo_t_
{
	int filecnt;
	char * filenames	[MAX_FILECNT];
	char filetypes		[MAX_FILECNT];
} dirinfo_t;

#endif
